Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		vamp-plugin-sdk
Version:	1.3
Release:	1
License:	BSD
URL:		http://www.vamp-plugins.org/
Group:		System/Libraries
Summary:	An API for audio analysis and feature extraction plugins
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		%{name}-1.3-mk.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel

%description
Vamp is an API for C and C++ plugins that process sampled audio data
to produce descriptive output (measurements or semantic observations).

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p1 -b .mk

%build
CXXFLAGS=$RPM_OPT_FLAGS make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# fix libdir
find . -name '*.pc.in' -exec sed -i 's|/lib|/%{_lib}|' {} ';'
make install DESTDIR=$RPM_BUILD_ROOT INSTALL_PREFIX=%{_prefix} LIB=/%{_lib}

# create Makefile for examples
cd examples
echo CXXFLAGS=$RPM_OPT_FLAGS -fpic >> Makefile
echo bundle: `ls *.o` >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -shared -Wl,-Bsymbolic \
     -o vamp-example-plugins.so \
     *.o \$\(pkg-config --libs vamp-sdk\) >> Makefile
echo `ls *.cpp`: >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -c $*.cpp >> Makefile
echo clean: >> Makefile
echo -e "\t"-rm *.o *.so >> Makefile

# clean directory up so we can package the sources
make clean

%files
%defattr(-,root,root)
%doc COPYING README
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 07 2009 Christian Wasem <wasem@ccux-linux.de> 1.3-1
- initial CCux package release
